<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\Anmeldung\TeilnehmerAuswahl;

class TeilnehmerAuswahlController extends \Kufer\KuferTools\Basis\Uebersicht\UebersichtController
{
  protected function getUseCase()
  {
    return new TeilnehmerAuswahlUseCase(
            $this->getRequestObj()
    );
  }
  
  protected function getToolId()
  {
    return TeilnehmerAuswahlUseCase::getToolId();
  }
  
  protected function getDefaultRequestObj()
  {
    return new TeilnehmerAuswahlRequest();
  }
  
  protected function getSuchAPI()
  {
    return new \TeilnehmersuchAPI();
  }
  
  protected function getRequestSearchName()
  {
    return 'searchteilnehmer';
  }
  
  function getPresenter($pUseCaseResponse)
  {
    return new TeilnehmerAuswahlPresenter($pUseCaseResponse);
  }
}